//"PVProp.dll" for PV-143N/143P/155/157/180 used.

#ifndef __PVPROP_H__
#define __PVPROP_H__

#ifdef __cplusplus
extern "C" {
#endif

#ifdef PVPROP_EXPORTS
#define DLLAPI __declspec(dllexport)
#else
#define DLLAPI __declspec(dllimport)
#endif

typedef enum { CVBS_0, CVBS_1, CVBS_2, CVBS_3, POLLING_ALL } Connector;

typedef enum { START, CLEAR, STOP } WDT_State;

//Hardware initialize.
DLLAPI int WINAPI PV_HWInit();
DLLAPI void WINAPI PV_HWUnInit();

//wValue range: 0~10000
DLLAPI bool WINAPI PV_SetBrightness(int iDevNum, int iVideoSource, WORD wValue);
DLLAPI bool WINAPI PV_SetSaturation(int iDevNum, int iVideoSource, WORD wValue);
DLLAPI bool WINAPI PV_SetContrast(int iDevNum, int iVideoSource, WORD wValue);
DLLAPI bool WINAPI PV_SetHue(int iDevNum, int iVideoSource, WORD wValue);

DLLAPI bool WINAPI PV_SetVideoSource(int iDevNum, Connector VideoSource);

DLLAPI bool WINAPI PV_GpioInitialize(int iDevNum, DWORD dwData);
DLLAPI bool WINAPI PV_GpioSetData(int iDevNum, DWORD dwData);
DLLAPI bool WINAPI PV_GpioGetData(int iDevNum, DWORD *dwData);

DLLAPI bool WINAPI PV_SetWDT(int iDevNum, WDT_State State);
DLLAPI bool WINAPI PV_EnableVideoSource(int iDevNum, DWORD dwVideoSource, bool bEnable);

DLLAPI void WINAPI PV_SetAGC(int iDevNum,bool bEnable);

//For SD-Series used, don't use it in PV-Series.
DLLAPI void WINAPI PV_SetTLV320AIC23(int iDevNum,BYTE nSubAddr,BYTE nValue);
//dwData:0~255, for PV-Series used.
DLLAPI bool PV_SetVolume(int iDevNum, DWORD dwData);

//dwAddress: range=0~251.
//dwData: range=0~255.
DLLAPI bool WINAPI PV_WriteEeprom(int iDevNum, DWORD dwAddress, DWORD dwData);
DLLAPI bool WINAPI PV_ReadEeprom(int iDevNum, DWORD dwAddress, DWORD *dwData);

//byData: return video sync, bit0=video0, bit1=video1, bit2=video2, bit3=video3
DLLAPI bool PV_GetVideoSignal(int iDevNum, BYTE *byData);
DLLAPI bool WINAPI PV_GetEnableChannel(int iDevNum, BYTE *bData);

#ifdef __cplusplus
}
#endif

#endif //__PVPROP_H__
