#ifndef _PVPROP_H_
#define _PVPROP_H_
#ifdef __cplusplus
extern "C" {
#endif

#define PV_150

#ifdef PV_148	//PV-149
typedef enum { CVBS_0, SET_VIDEO=4 } Connector;
#else //PV_150,152
typedef enum { CVBS_0, CVBS_1, POLLING_ALL=4 } Connector;
#endif

typedef enum {START, CLEAR, STOP }WDT_State;

//PVProp.Dll initialize function.
bool PV_InitProperty();
void PV_UnInitProperty();

//Get SW protect ID, it record in micro controller.
bool PV_GetProtectID(int iDevNum, BYTE *byData);
bool PV_GetProtectID_2(int iDevNum, long *lData); //For VisualC.Net

//wValue: Range 0~10000
bool PV_SetBrightness(int iDevNum, int iVideoSource, WORD wValue);
bool PV_SetSaturation(int iDevNum, int iVideoSource, WORD wValue);
bool PV_SetContrast(int iDevNum, int iVideoSource, WORD wValue);
bool PV_SetHue(int iDevNum, int iVideoSource, WORD wValue);

bool PV_SetVideoSource(int iDevNum, Connector VideoSource);

//Get video signal, a camera has connect or not.
//This function is not valid when set "POLLING_ALL".
bool PV_GetVideoSignal(int iDevNum, bool *bHasSignal);

//Total 16 bit(Bit0~15),set bit n , n=1 is output, n=0 is input.
bool PV_GpioInitialize(int iDevNum, WORD wData);
bool PV_GpioSetData(int iDevNum, WORD wData);
bool PV_GpioGetData(int iDevNum, WORD *wData);

bool PV_SetWDT(int iDevNum, WDT_State State);


#ifdef __cplusplus
}
#endif
#endif //_PVPROP_H_
